Bug 1940518 - Components in bare metal components lack resource requests
Summary: Components in bare metal components lack resource requests
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Bare Metal Hardware Provisioning
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.8.0
Assignee: Honza Pokorny
QA Contact: Shelly Miron
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-18 15:13 UTC by Clayton Coleman
Modified: 2021-07-27 22:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 22:54:17 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-baremetal-operator pull 121 0 None open Bug 1940518: Set default resource requests for all containers 2021-04-12 16:20:31 UTC
Github openshift origin pull 26064 0 None open Bug 1940518: resources: remove metal3 from broken pods 2021-04-12 18:02:13 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:54:48 UTC

Description Clayton Coleman 2021-03-18 15:13:02 UTC
: [sig-arch] Managed cluster should set requests but not limits [Suite:openshift/conformance/parallel] expand_more 	1s

fail [github.com/onsi/ginkgo@v4.7.0-origin.0+incompatible/internal/leafnodes/runner.go:113]: Mar 18 14:11:40.674: Pods in platform namespaces are not following resource request/limit rules or do not have an exception granted:
  apps/v1/DaemonSet/openshift-machine-api/metal3-image-cache/container/metal3-httpd does not have a cpu request (rule: "apps/v1/DaemonSet/openshift-machine-api/metal3-image-cache/container/metal3-httpd/request[cpu]")
  apps/v1/DaemonSet/openshift-machine-api/metal3-image-cache/container/metal3-httpd does not have a memory request (rule: "apps/v1/DaemonSet/openshift-machine-api/metal3-image-cache/container/metal3-httpd/request[memory]")
  apps/v1/Deployment/openshift-machine-api/metal3/container/ironic-deploy-ramdisk-logs does not have a cpu request (rule: "apps/v1/Deployment/openshift-machine-api/metal3/container/ironic-deploy-ramdisk-logs/request[cpu]")
  apps/v1/Deployment/openshift-machine-api/metal3/container/ironic-deploy-ramdisk-logs does not have a memory request (rule: "apps/v1/Deployment/openshift-machine-api/metal3/container/ironic-deploy-ramdisk-logs/request[memory]")
  apps/v1/Deployment/openshift-machine-api/metal3/container/ironic-inspector-ramdisk-logs does not have a cpu request (rule: "apps/v1/Deployment/openshift-machine-api/metal3/container/ironic-inspector-ramdisk-logs/request[cpu]")
  apps/v1/Deployment/openshift-machine-api/metal3/container/ironic-inspector-ramdisk-logs does not have a memory request (rule: "apps/v1/Deployment/openshift-machine-api/metal3/container/ironic-inspector-ramdisk-logs/request[memory]")
  apps/v1/Deployment/openshift-machine-api/metal3/container/metal3-baremetal-operator does not have a cpu request (rule: "apps/v1/Deployment/openshift-machine-api/metal3/container/metal3-baremetal-operator/request[cpu]")
  apps/v1/Deployment/openshift-machine-api/metal3/container/metal3-baremetal-operator does not have a memory request (rule: "apps/v1/Deployment/openshift-machine-api/metal3/container/metal3-baremetal-operator/request[memory]")
  apps/v1/Deployment/openshift-machine-api/metal3/container/metal3-dnsmasq does not have a cpu request (rule: "apps/v1/Deployment/openshift-machine-api/metal3/container/metal3-dnsmasq/request[cpu]")
  apps/v1/Deployment/openshift-machine-api/metal3/container/metal3-dnsmasq does not have a memory request (rule: "apps/v1/Deployment/openshift-machine-api/metal3/container/metal3-dnsmasq/request[memory]")
  apps/v1/Deployment/openshift-machine-api/metal3/container/metal3-httpd does not have a cpu request (rule: "apps/v1/Deployment/openshift-machine-api/metal3/container/metal3-httpd/request[cpu]")
  apps/v1/Deployment/openshift-machine-api/metal3/container/metal3-httpd does not have a memory request (rule: "apps/v1/Deployment/openshift-machine-api/metal3/container/metal3-httpd/request[memory]")
  apps/v1/Deployment/openshift-machine-api/metal3/container/metal3-ironic-api does not have a cpu request (rule: "apps/v1/Deployment/openshift-machine-api/metal3/container/metal3-ironic-api/request[cpu]")
  apps/v1/Deployment/openshift-machine-api/metal3/container/metal3-ironic-api does not have a memory request (rule: "apps/v1/Deployment/openshift-machine-api/metal3/container/metal3-ironic-api/request[memory]")
  apps/v1/Deployment/openshift-machine-api/metal3/container/metal3-ironic-conductor does not have a cpu request (rule: "apps/v1/Deployment/openshift-machine-api/metal3/container/metal3-ironic-conductor/request[cpu]")
  apps/v1/Deployment/openshift-machine-api/metal3/container/metal3-ironic-conductor does not have a memory request (rule: "apps/v1/Deployment/openshift-machine-api/metal3/container/metal3-ironic-conductor/request[memory]")
  apps/v1/Deployment/openshift-machine-api/metal3/container/metal3-ironic-inspector does not have a cpu request (rule: "apps/v1/Deployment/openshift-machine-api/metal3/container/metal3-ironic-inspector/request[cpu]")
  apps/v1/Deployment/openshift-machine-api/metal3/container/metal3-ironic-inspector does not have a memory request (rule: "apps/v1/Deployment/openshift-machine-api/metal3/container/metal3-ironic-inspector/request[memory]")
  apps/v1/Deployment/openshift-machine-api/metal3/container/metal3-mariadb does not have a cpu request (rule: "apps/v1/Deployment/openshift-machine-api/metal3/container/metal3-mariadb/request[cpu]")
  apps/v1/Deployment/openshift-machine-api/metal3/container/metal3-mariadb does not have a memory request (rule: "apps/v1/Deployment/openshift-machine-api/metal3/container/metal3-mariadb/request[memory]")
  apps/v1/Deployment/openshift-machine-api/metal3/container/metal3-static-ip-manager does not have a cpu request (rule: "apps/v1/Deployment/openshift-machine-api/metal3/container/metal3-static-ip-manager/request[cpu]")
  apps/v1/Deployment/openshift-machine-api/metal3/container/metal3-static-ip-manager does not have a memory request (rule: "apps/v1/Deployment/openshift-machine-api/metal3/container/metal3-static-ip-manager/request[memory]")

https://prow.ci.openshift.org/view/gs/origin-ci-test/pr-logs/pull/25904/pull-ci-openshift-origin-master-e2e-metal-ipi-ovn-ipv6/1372531413584187392

All payload components need requests:

https://github.com/openshift/enhancements/blob/master/CONVENTIONS.md#resources-and-limits

A temporary exception is granted until this bug is fixed, must be fixed in 4.8 so the metal components reflect their usage accurately.

Comment 5 errata-xmlrpc 2021-07-27 22:54:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.